'use strict';

const chalk = require('chalk');

class PermissionError {
  constructor(project, repo, entity, entityName, permission) {
    this._project = project;
    this._repo = repo;
    this._entity = entity;
    this._entityName = entityName;
    this._permission = permission;
    this._isRepo = (this._repo !== '' && this._repo !== null);
    this._errorMessage = '';
    this._toString();
  }

  _toString() {
    let message = this._isRepo ? chalk.red.bold('Repo') : chalk.red.bold('Project');
    message += chalk.red.bold(' permission error detected \n');
    message += '\t' + chalk.blue.bold('Project: ') + chalk.blue(this._project) + '\n';

    if(this._isRepo) {
      message += '\t' + chalk.cyan.bold('Repo: ') + chalk.cyan(this._repo) + '\n';
    }

    message += '\t' + chalk.yellow.bold(this._entity + ': ') + chalk.yellow(this._entityName) + '\n';
    message += '\t' + chalk.magenta.bold('Permission: ') + chalk.magenta(this._permission) + '\n';

    this._errorMessage = message;
  }

  getMessage() {
    return this._errorMessage;
  }
}

module.exports = PermissionError;
