'use strict';

const chalk = require('chalk');

class Reporter {
  static write(errors) {
    const errorCount = errors.length;

    if (errorCount) {
      for (let error of errors) {
        console.log(error.getMessage());
      }

      console.log('\n' + chalk.red.bold(errorCount) + ' permission ' + (errorCount === 1 ? 'error' : 'errors') + ' found.');
    } else {
      console.log('\n' + chalk.green.bold('No permission errors found!'));
    }
  }
}

module.exports = Reporter;
