'use strict';

const chalk = require('chalk');

class Reporter {
  static write(stalePrs) {
    const stalePrCount = stalePrs.length;

    if (stalePrCount) {
      for (const stalePr of stalePrs) {
        console.log(stalePr.getMessage());
      }

      console.log('\n' + chalk.red.bold(stalePrCount) + ' stale pull ' + (stalePrCount === 1 ? 'request' : 'requests') + ' found.');
    } else {
      console.log('\n' + chalk.green.bold('No stale pull requests found!'));
    }
  }
}

module.exports = Reporter;
